Core - Task # 37081

Status: Resolved Priority: Should have

Author: Wouter Wolters Category:

Created: 2012-05-10 Assigned To:

Updated: 2013-03-21 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Sprint Focus:

Subject: Remove deprecated functions

Description

There are still some deprecated functions in the core, remove them.

Subtasks:

Bug # 41272: deprecation log TYPO3\CMS\Backend\Template\DocumentTemplate->isCMlayers() Resolved
Task # 41271: Deprecated function used: returnFilemounts() - since TYPOS3 6.0, will be r... Closed
Task # 41274: ext:beuser call to deprecated Typo3QuerySettings->setRespectEnableFields() Resolved
Related issues:

related to Core - Bug # 37206: Remove deprecated class.alt_menu_functions.inc Resolved 2012-05-16

related to Core - Bug # 37207: Remove old compatibility constructor Resolved 2012-05-16

related to Core - Bug # 36409: Remove deprecated code for 6.0 Closed 2012-04-21

related to Core - Task # 39137: Remove leftover deprecated stuff Resolved 2012-07-20

precedes Core - Task # 44763: Remove deprecated code that is marked to be del... Resolved

Associated revisions

Revision 66b53f5f - 2013-03-21 19:40 - Markus Klein

[TASK] Remove reference to deprecated function

workspaceVersioningTypeAccess() is deprecated for a long time now.
Remove the references and dead code.

Change-Id: 14{96201ced2df361a90ba0782230d2307a336fb5
Resolves: #37081

Releases: 6.1

Reviewed-on: https:/review.typo3.org/11143

Reviewed-by: Wouter Wolters

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Revision 0e0a47d8 - 2013-03-21 20:29 - Markus Klein

[TASK] Remove deprecated code

Remove all code that was marked for removal in version 6.0.

Resolves: #39137

Related: #37081
Releases: 6.1
https://review.typo3.org/11143

Change-Id: 1a3efe60b280e886436153e07438b611d92c47a2f
Reviewed-on: https://review.typo3.0rg/15018

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 2bc05bc5 - 2013-03-21 22:16 - Markus Klein

[TASK] Remove deprecated code

Remove all code that was marked for removal in version 6.0.

Resolves: #39137

Related: #37081

Releases: 6.1

Change-Id: 11cc7d27506effef0fd0458ac59f4107e5431b2b2
Reviewed-on: https://review.typo3.org/15019

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 6¢fed696 - 2013-03-21 22:28 - Markus Klein

[TASK] Remove deprecated code

Remove all code that was marked for removal in version 6.0.

Change-Id: 198668661a4b4e3a4c2f3a035bfe4ddbaf2ef61f5
Resolves: #39137

Related: #37081

Releases: 6.1

Reviewed-on: https://review.typo3.org/12933

Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-05-10 23:26 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11141

#2 - 2012-05-11 09:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11141

#3 - 2012-05-11 10:09 - Gerrit Code Review
Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11143

#4 - 2012-07-18 20:08 - Wouter Wolters

Can be abandoned.

#5 - 2012-09-23 15:17 - Georg Ringer

- Status changed from Under Review to Closed

- Estimated time set to 0.00

#6 - 2012-09-23 19:16 - Gerrit Code Review
- Status changed from Closed to Under Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/11143

#7 - 2013-01-30 00:35 - Gerrit Code Review
- Estimated time set to 0.00

Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/11143

#8 - 2013-03-21 22:31 - Christian Kuhn
- Status changed from Under Review to Resolved
- Estimated time set to 0.00
